﻿/*-----------------------------------------------------------------------------------*/
/*------------------- MASTER PAGE ------------------------------*/

.okButton, .noButton
{
	display: block;
	width: 144px;
	height: 22px;
	text-align: center;
	vertical-align: middle;
	cursor: pointer;
}

.skipcompetitionButton
{
	line-height: 30px; font-size: 16px; padding-left: 3px;
}

/*-------------------- New Design --------------------------*/

.LargeButton, .LargeButton:visited, .LargeButton:active, .LargeButton:hover, .LargeButtonDisable,
.MiddleButton, .MiddleButton:visited, .MiddleButton:active, .MiddleButton:hover, .MiddleButtonDisable, .MiddleButtonDisable:hover,
.SmallButton, .SmallButton:visited, .SmallButton:active, .SmallButton:hover,
.divSlider .LargeButton, .divSlider .LargeButton:visited, .divSlider .LargeButton:active, .divSlider .LargeButton:hover,
.ui-widget-content .MiddleButton
{ display: block; color: #fff; text-align: center; text-shadow: 1px 1px 3px #000; text-decoration:none; border: none; font-family:Verdana;}

.MiddleButton__center { margin: 0 auto; }
.MiddleButton__right { float:right; }
.MiddleButton__left { float:left; }

/*---------------- Product Page ------------------------------*/

.LargeButton, .LargeButton:visited, .LargeButton:active, .LargeButton:hover, .LargeButtonDisable 
{ background: url('../Img/Buttons/bg_buttons6.png') 0px 0 no-repeat; width: 233px; height: 45px; line-height: 45px; font-size: 19px; }
.LargeButton:hover { background-position: 0 -48px; } 
.LargeButton:active { background-position: 0 -96px; }

.LargeButtonDisable {  background-position: 0 -144px; cursor: default; }

.divSlider .LargeButton, .divSlider .LargeButton:visited, .divSlider .LargeButton:active, .divSlider .LargeButton:hover
{ background: url('../Img/Buttons/bg_buttons6.png') 0px -306px no-repeat; width: 158px; margin: 10px 0 0 10px; height: 35px; line-height: 35px; font-size: 16px; }
.divSlider .LargeButton:hover { background-position: 0 -344px; } 
.divSlider .LargeButton:active { background-position: 0 -382px; }


/* ---------------------------------------------------- BUTTON START ------------------------------------------------ */

.button, .button:visited, .button:hover {
	background-color: #333333;
	color: #fff;
	font-size: 14px;
	padding: 7px 5px;
	text-align: center;
	text-decoration: none;
	-moz-box-sizing: border-box;
	-webkit-box-sizing: border-box;
	box-sizing: border-box;
	display: inline-block;
	cursor: pointer;
	border:none;
	line-height:1.3;
}

.button:active {
    outline:none;
}

.button:hover {
    background-color: #222222;
}

.button__full {
	width: 100%;
}

button__large {
	width: 260px;
}

.button__middle {
	width: 180px;
}

.button__middle__more-space, .button__middle__more-space:hover, .button__middle__more-space:visited {
	width: 190px;
    padding: 7px 10px;
}

.button__small {
	width: 85px;
}

.button__left {
	float: left;
    margin-right: 20px;
    position: relative;
}

.button__right {
	float: right;
    margin-left: 20px;
    position: relative;
}

.button__right-inline {
	float: right;
    margin-left: 5px;
    position: relative;
}

.button__second-color, .button__second-color:visited {
	background-color: #2E3790;
}

.button__second-color:hover {
	background-color: #2E44A2;
}

.button__third-color, .button__third-color:visited {
	background-color: #3992D9;
}

.button__third-color:hover {
	background-color: #3992D9;
}

.button__fifth-color, .button__fifth-color:visited {
	background-color: #FF6501;
}

.button__fifth-color:hover {
	background-color: #FF7500;
}

.button__sixth-color, .button__sixth-color:visited {
	background-color: #FB7E08;
}

.button__sixth-color:hover {
	background-color: #F78011;
}


.button__disable, .button__disable:visited {
	background-color: #E5E5E5;
}

.button__disable:hover {
	background-color: #E5E5E5;
	cursor:default;
}

.button__font, .button__font:visited, .button__font:hover {
	font-size:18px;
	padding:9px 10px;
	font-family:Verdana;
}

.button-grey, .button-grey:visited, .button-grey:hover {
	background: #808080;
	color: #fff;
	border: 1px solid #505050;
}

.button-rose, .button-rose:visited, .button-rose:hover {
	background: #000000;
	color: #fff;
}

.button-yellow, .button-yellow:visited, .button-yellow:hover {
	background: #FFB202;	
	background: #FFB202 -moz-linear-gradient(top, #fee07e 0%, #ffb202 100%);
	background: #FFB202 -webkit-gradient(linear, left top, left bottom, color-stop(0%,#fee07e), color-stop(100%,#ffb202));
	background: #FFB202 -webkit-linear-gradient(top, #fee07e 0%,#ffb202 100%);
	background: #FFB202 -o-linear-gradient(top, #fee07e 0%,#ffb202 100%);
	background: #FFB202 -ms-linear-gradient(top, #fee07e 0%,#ffb202 100%);
	background: #FFB202 linear-gradient(to bottom, #fee07e 0%,#ffb202 100%);
	color: #963800;
	border: 1px solid #b45501;
}

.button-small, .button-small:visited, .button-small:hover  {
	font-size: 12px;
	border: 1px solid #1d1d1b;
}

.button-middle {
	width: 230px;
}

.b-main-button,
.main-button {
	display: inline-block;
	background-color: #7F7F7F;
	border: 1px solid #000;
	padding: 5px 20px;
	text-align: center;
	min-width: 150px;
	color: #fff;
	font-size: 20px;
	cursor: pointer;
}



/*---------------- Item List ---------------------------*/

.MiddleButton, .MiddleButton:visited, .MiddleButton:active, .MiddleButton:hover, .MiddleButtonDisable { background: url('../Img/Buttons/bg_buttons6.png') 0px -230px no-repeat; padding:0;  width: 225px; height: 35px; line-height: 30px; font-size: 16px; font-weight: bold; text-decoration:none; outline:none; }
.MiddleButton:hover { background-position: 0 -268px; cursor: pointer; } 
.MiddleButton:active { background-position: 0 -306px; }
.MiddleButtonDisable {  background-position: 0 -192px; cursor: default;}

.MiddleButton_more-in-line, .MiddleButton_more-in-line:hover, .MiddleButton_more-in-line:visited, .MiddleButton_more-in-line:active
{
    display:inline;
    margin:0 15px;
}

.MiddleButton_more-in-line:first-child
{
    margin-left:0;
}

.MiddleButton_more-in-line:last-child
{
    margin-right:0;
}

.MiddleButton__w260, .MiddleButton__w260:visited, .MiddleButton__w260:active, .MiddleButton__w260:hover { width: 260px; background-position: 0 -480px; }
.MiddleButton__w260:hover { background-position: 0 -530px; } 
.MiddleButton__w260:active { background-position: 0 -580px; }


.SmallButton, .SmallButton:visited, .SmallButton:active, .SmallButton:hover
{ background: url('../Img/Buttons/bg_buttons6.png') 0px -346px no-repeat; width: 158px; height: 35px; line-height: 35px; font-size: 16px; }
.SmallButton:hover { background-position: 0 -384px; } 
.SmallButton:active { background-position: 0 -422px; }

.slideButton{ position: relative; overflow: hidden; text-align: left;}
.leftArrowButton .arrowImg {  position: absolute; top: 0px; left: 0px; z-index: 10; background: #333 url('../Img/Buttons/arrowLeftRight.png') 9px 8px no-repeat; _background: #333 url('../Img/Buttons/arrowLeftRight.gif') 9px 8px no-repeat; width: 30px; height: 30px; cursor: pointer; opacity: 0.8;}
.leftArrowButton .buttonText { position: absolute; top: 0px; left: 30px; z-index: 5; height: 30px; line-height: 30px; font-size: 12px; color: #fff; padding: 0px 10px 0 0px; background: #333333;  cursor: pointer; white-space: nowrap; }

.rightArrowButton .arrowImg {  position: absolute; top: 0px; right: 0px; z-index: 10; background: #333 url('../Img/Buttons/arrowLeftRight.png') -26px 8px no-repeat; _background: #333 url('../Img/Buttons/arrowLeftRight.gif') -26px 8px no-repeat; width: 30px; height: 30px; cursor: pointer; opacity: 0.8; }
.rightArrowButton .buttonText { position: absolute; top: 0px; right: 30px; z-index: 5; height: 30px; line-height: 30px; font-size: 12px; color: #fff; padding: 0px 0px 0 10px; background: #333333;  cursor: pointer; white-space: nowrap; }

.blackButton { background: #333333; height: 30px; line-height: 30px; font-size: 11px; color: #fff; display: block; width: 90px; text-align: center;}

.item-list-block .slideButton
{
    position:absolute;
    right:0;
    bottom:55px;
    z-index:100;
	width: 30px;
}

.item-list-block__search .slideButton
{
    bottom:75px;
}

.sale-banner-block .slideButton
{
    position:absolute;
    right:0;
    top:148px;
}

.mainsale_small_block .slideButton
{
    position:absolute;
    right:0;
    bottom:70px;
}

.bg-buttons
{
    background-image: url('../Img/Buttons/bg_buttons6.png');
    display:inline-block;
}

.paypal-button
{
    background-position: -140px -630px;
    width:126px;
    height:40px;
}

.paypal-button__full
{
    background-position: -2px -700px;
    width:260px;
    height:31px;
}

.paypal-button__position
{
    position:relative;
    float:left;
}

.buttons-row-space
{
    margin:7px 0;
}

.masterpass-button
{
    background-position: -2px -630px;
    width:126px;
    height:40px;
}

.masterpass-button__position
{
    position:relative;
    float: right;
}

.masterpass-button__full
{
    background-position: -2px -750px;
    width:260px;
    height:40px;
}

.masterpass-button__large
{
    background-position: -2px -960px;
    width:310px;
    height:41px;
	margin-bottom:5px;
}


/*---------- ipay88 -----------------*/

.ipay88-button
{
    color: #fff; 
    text-align: center;
    text-decoration:none; 
    border: none; 
    font-family:Verdana;
    font-weight:700;
    background-position: -2px -810px;
    width:260px;
    height:25px;
    padding:4px 0;
}

.ipay88-button:hover
{
    background-position: -2px -860px;
}

.ipay88-button:active
{
    background-position: -2px -910px;
}



.item-list-slider .product-add-to-cart,
.item-list-slider .product-button-sold-out {
	font-size: 12px;
	display: block;	
	margin-right: 7px;
	padding: 6px 7px;
	min-height: 30px;
	float: left;
	z-index: 10000;
}

.item-list-selection .product-button-sold-out
{
	cursor: default;
}

.button-half {
	float: left;
	width: 48%;
	min-width: 190px;
}

.button-half-left
{
	margin: 0 4% 10px 0;
}


.paypal-button__short, .paypal-button__short:visited, .paypal-button__short:hover {
	font-size:12px;
	font-style:italic;
	font-weight:bold;
	padding: 4px 10px 6px;
	text-shadow: 1px 1px 1px  #333;
	-moz-box-shadow: 0 0 2px 0 #999;
	-webkit-box-shadow: 0 0 2px 0 #999;
	box-shadow: 0 0 2px 0 #999;
}


.paypal-button__large, .paypal-button__large:visited, .paypal-button__large:hover {	
	height:41px;
	padding:0;
	margin:0;
	display:block;
	-moz-box-sizing: border-box;
	-webkit-box-sizing: border-box;
	box-sizing: border-box;
	background:#FFC230  url('../Img/Buttons/bg_buttons6.png')  -2px -1027px no-repeat;
}

#braintree-paypal-button {
	background:#FFC230  url('../Img/Buttons/bg_buttons6.png')  -2px -1027px no-repeat;
	height:41px!important;
	width:100%!important;
	-moz-box-sizing: border-box;
	-webkit-box-sizing: border-box;
	box-sizing: border-box;
}

#braintree-paypal-button img {
	display:none!important;
}

.pay-button, .pay-button:visited, .pay-button:hover {
	margin-top: 10px;
	display:block;
	position:relative;
	text-align:center;
}

#braintreeForm .paypal-button__large, 
#braintreeForm .checkout-button__large, 
#braintreeForm .masterpass-button__large {
    margin-top: 10px;
}

.masterpass-button {
	display:block;
	-moz-box-sizing: border-box;
	-webkit-box-sizing: border-box;
	box-sizing: border-box;
}

/*------------------- Masterpass -------------------*/

.button-master-pass, .button-master-pass:visited, .button-master-pass:hover {
	padding:0;
}

.button-master-pass-wrapper
{
	display: none;
	background-color: #000000;
	line-height:1;
}

.button-master-pass:hover .button-master-pass-wrapper
{
	background-color: #1a1a1a;
}

.button-master-pass-arrow
{
	display: none;
	background-position:5px -1260px;
	background-color: #e87600;
    position:absolute;
    height:100%;
    width:24px;
    top:0;
    right:0;
}

.button-master-pass:hover .button-master-pass-arrow
{
	background-color: #e88200;
}

.masterpass-icon {
	background-position:-2px -1171px;
	width:130px;
	height:33px;
	display:inline-block;
}

.masterpass-icon__space {
    margin: 4px 10px 1px 0;
}

.button-master-pass .button-master-pass-wrapper,
.button-master-pass .button-master-pass-arrow {
	display:block;
}

.button-master-pass .pay-button-text {
	display: none;
}

/*------------------- End Masterpass -------------------*/


/*-------------------- New PayPal ------------------------*/

.braintree-paypal-button, .braintree-paypal-button:visited, .braintree-paypal-button:hover {
	background: #FFC230;
	padding: 6px 5px 7px 5px;
}

.paypal-button-text {
	display:none;
	vertical-align:middle;
	font-size:18px;
	margin-right:10px;
	color: #003087;
}

.paypal-button-icon {
	background-image: url('../Img/basemaster/Footer/payment_v18.png');
	background-position: -2px -900px;
    width:100px;
    height:27px;
	display:none;
	vertical-align:middle;
}

.pay-button-text {
	display: inline-block;
}

.braintree-paypal-button .paypal-button-text,
.braintree-paypal-button .paypal-button-icon  {
	display:inline-block;
}

.braintree-paypal-button .pay-button-text {
	display: none;
}

/*-------------------- End New PayPal --------------------*/

/* ------------------- confirmation ----------------------*/

.button__verification-confirm:hover {
    padding:14px 10px 11px 10px;
}
